> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product data

> Retrieves attributes for multiple products.



## OpenAPI

````yaml /data.api.json get /product/productData
openapi: 3.0.1
info:
  title: Kameleoon Data API
  description: ''
  version: '1.0'
servers:
  - url: https://eu-data.kameleoon.io
  - url: https://na-data.kameleoon.io
  - url: https://eu-data.kameleoon.eu
  - url: https://na-data.kameleoon.eu
security: []
paths:
  /product/productData:
    get:
      tags:
        - Product
      summary: Get product data
      description: Retrieves attributes for multiple products.
      operationId: GET /product/productData
      parameters:
        - name: user-agent
          in: header
          required: true
          description: >-
            Not always required. Kameleoon rejects an incoming request if the
            source is a bot or spider, based on [IAB/ABC user-agent filtering
            rules](https://www.iab.com/guidelines/iab-abc-international-spiders-bots-list/).

            Kameleoon uses a single-pass method. You don't need to take specific
            action when sending requests from a web browser using a standard
            library (XHR). However, in other cases, set a custom value for the
            `User-Agent` request header to overwrite the default value the
            library sets.
          schema:
            type: string
            default: kameleoon-docs
        - name: siteCode
          in: query
          description: The Kameleoon project ID.
          required: true
          schema:
            type: string
        - name: eans
          in: query
          description: >-
            A JSON array of product IDs or EANs. For example,
            <code>["ean1","ean2"]</code>. Limit the array to 100 products.
          required: true
          schema:
            type: string
            description: 'JSON array of `<product Id / EAN: string>`.'
        - name: all
          in: query
          description: Set to <code>true</code> to get all fields for the given product.
          schema:
            type: boolean
            default: false
        - name: name
          in: query
          description: >-
            Set to <code>true</code> to get the <code>name</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: categories
          in: query
          description: >-
            Set to <code>true</code> to get the <code>categories</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: url
          in: query
          description: >-
            Set to <code>true</code> to get the <code>url</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: imageURL
          in: query
          description: >-
            Set to <code>true</code> to get the <code>imageURL</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: available
          in: query
          description: >-
            Set to <code>true</code> to get the <code>available</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: availableQuantity
          in: query
          description: >-
            Set to <code>true</code> to get the <code>availableQuantity</code>
            field for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: brand
          in: query
          description: >-
            Set to <code>true</code> to get the <code>brand</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: isChild
          in: query
          description: >-
            Set to <code>true</code> to get the <code>isChild</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: isFashion
          in: query
          description: >-
            Set to <code>true</code> to get the <code>isFashion</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: fashion
          in: query
          description: >-
            Set to <code>true</code> to get the <code>fashion</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: sku
          in: query
          description: >-
            Set to <code>true</code> to get the <code>sku</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: merchantID
          in: query
          description: >-
            Set to <code>true</code> to get the <code>merchantID</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: oldPrice
          in: query
          description: >-
            Set to <code>true</code> to get the <code>oldPrice</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: tags
          in: query
          description: >-
            Set to <code>true</code> to get the <code>tags</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: rating
          in: query
          description: >-
            Set to <code>true</code> to get the <code>rating</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: description
          in: query
          description: >-
            Set to <code>true</code> to get the <code>description</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: params
          in: query
          description: >-
            Set to <code>true</code> to get the <code>params</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: groupId
          in: query
          description: >-
            Set to <code>true</code> to get the <code>groupId</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: accessories
          in: query
          description: >-
            Set to <code>true</code> to get the <code>accessories</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: seasonality
          in: query
          description: >-
            Set to <code>true</code> to get the <code>seasonality</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: priceMargin
          in: query
          description: >-
            Set to <code>true</code> to get the <code>priceMargin</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: isNew
          in: query
          description: >-
            Set to <code>true</code> to get the <code>isNew</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: auto
          in: query
          description: >-
            Set to <code>true</code> to get the <code>auto</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: model
          in: query
          description: >-
            Set to <code>true</code> to get the <code>model</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: leftovers
          in: query
          description: >-
            Set to <code>true</code> to get the <code>leftovers</code> field for
            the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: typePrefix
          in: query
          description: >-
            Set to <code>true</code> to get the <code>typePrefix</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: price
          in: query
          description: >-
            Set to <code>true</code> to get the <code>price</code> field for the
            given product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: priceHistory
          in: query
          description: >-
            Set to <code>true</code> to get the
            <code>timesAndPricesSortedAscTime</code> field for the given
            product. Note: Kameleoon ignores this if the <code>all</code>
            parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: timeLastView
          in: query
          description: >-
            Set to <code>true</code> to get the <code>timeLastView</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: timeLastAddToCart
          in: query
          description: >-
            Set to <code>true</code> to get the <code>timeLastAddToCart</code>
            field for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: timeLastBuy
          in: query
          description: >-
            Set to <code>true</code> to get the <code>timeLastBuy</code> field
            for the given product. Note: Kameleoon ignores this if the
            <code>all</code> parameter is <code>true</code>.
          schema:
            type: boolean
            default: false
        - name: prettyPrint
          in: query
          description: Set to <code>true</code> for a "pretty" printed response.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: >-
            Successful operation, products are rendered, of type JSON object
            {&quot;&lt;product Id / EAN&gt;&quot;: &lt;product&gt;}, with
            &lt;product&gt; of type JSON object
        '400':
          description: Malformed URL query syntax.
        '401':
          description: >-
            Authentication failed. Either the HTTP header value is malformed, or
            the token is missing or invalid (malformed, expired, or invalid
            signature).
        '403':
          description: Access denied. Forbidden user-agent or restricted resource.
        '429':
          description: Kameleoon rate-limited the request.
        '500':
          description: An unexpected internal error occurred.

````